<?php
$page_name = 'Восстановление пароля';
$page_keys = 'восстановление';
$page_desc = 'Восстановление пароля в системе';
$online_title = 'На странице восстановления пароля';
$online_url = '/lostpassword';
include('wu-engine/wu_header.php');
if(USER_LOGGED) { header ("Location: /"); exit; }
?>

<?php if (isset($_GET['result'])) { echo '<div class="alert alert-'.strip_tags($_GET['status']).' fade in block"><button type="button" class="close" data-dismiss="alert">×</button><center>'.strip_tags($_GET['result']).'</center></div>'; } ?>
<form action="#" class="form-horizontal" role="form">
<div class="form-group">
<label class="col-sm-2 control-label" style="text-align:right">Логин: </label>
<div class="col-sm-8 has-feedback has-feedback-left">
<input type="text" class="form-control" id="r_login" placeholder="Логин" />
<i class="icon-user form-control-feedback"></i>
</div>
</div>
<span class="help-block text-center" style="margin-bottom: 20px;">Заполните одно из полей</span>
<div class="form-group">
<label class="col-sm-2 control-label" style="text-align:right">E-mail: </label>
<div class="col-sm-8 has-feedback has-feedback-left">
<input type="text" class="form-control" id="r_mail" placeholder="E-mail" />
<i class="icon-mail2 form-control-feedback"></i>
</div>
</div>
<center><a href="javascript://" id="submit" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Отправляем">Восстановить</a></center><br /><br />
</form>

<script type='text/javascript'>
$(function() {
//Очистка полей
$('#r_login').bind("change keyup paste input", function() {
$('#r_mail').val('');
});
$('#r_mail').bind("change keyup paste input", function() {
$('#r_login').val('');
});
//Восстановление
$('#submit').click(function(){
var login = $('#r_login').val();
var mail = $('#r_mail').val();
var data = {'login': login, 'mail': mail};
wu_response('/wu-engine/wu-actions/lost.php', data, 'submit', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Аккаунт не найден');
}
if (wu_result == '1') {
notif_s('Инструкция по восстановлению отправлена, проверьте почту'); $('#r_login,#r_mail').val('');
}
if (wu_result == '2') {
notif_e('Заполните одно из полей');
}
if (wu_result == '4') {
notif_e('Неверный формат E-mail');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});
});
</script>

<?php include('wu-engine/wu_footer.php'); ?>